---
title: 'Element: beforescriptexecute event'
slug: Web/API/Element/beforescriptexecute_event
tags:
  - DOM
  - Non-standard
  - Reference
---
<div>{{APIRef}}</div>

<div>{{Non-standard_header}}</div>

<div class="warning">
<p>This event was a proposal in an early version of the specification. Do not rely on it.</p>
</div>

<p>The <strong><code>beforescriptexecute</code></strong> event is fired when a script is about to be executed. Cancelling the event prevents the script from executing.</p>

<p>It is a proprietary event specific to Gecko (Firefox).</p>

<table class="properties">
 <tbody>
  <tr>
   <th scope="row">Bubbles</th>
   <td>Yes</td>
  </tr>
  <tr>
   <th scope="row">Cancelable</th>
   <td>Yes</td>
  </tr>
  <tr>
   <th scope="row">Interface</th>
   <td>{{domxref("Event")}}</td>
  </tr>
  <tr>
   <th scope="row">Event handler property</th>
   <td>None</td>
  </tr>
 </tbody>
</table>

<h2 id="Specifications">Specifications</h2>

<p>Not part of any specification.</p>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.Element.beforescriptexecute_event")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li><code><a href="/en-US/docs/Web/API/Element/afterscriptexecute_event">afterscriptexecute</a></code> event</li>
</ul>
